## fcitx5-sayura 5.0.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(fcitx5-sayura VERSION 5.0.5)
find_package(ECM REQUIRED 1.0.0)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
include(FeatureSummary)
include(GNUInstallDirs)
include(ECMUninstallTarget)

find_package(PkgConfig REQUIRED)
find_package(Fcitx5Core REQUIRED)
find_package(Gettext REQUIRED)

include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")
add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-sayura\")
fcitx5_add_i18n_definition()

add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(po)

fcitx5_translate_desktop_file(org.fcitx.Fcitx5.Addon.Sayura.metainfo.xml.in
                              org.fcitx.Fcitx5.Addon.Sayura.metainfo.xml XML)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/org.fcitx.Fcitx5.Addon.Sayura.metainfo.xml" DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
add_library(sayura MODULE sayura.cpp)
target_link_libraries(sayura Fcitx5::Core)
set_target_properties(sayura PROPERTIES PREFIX "")
install(TARGETS sayura DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
fcitx5_translate_desktop_file(sayura.conf.in sayura.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/sayura.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/inputmethod")
configure_file(sayura-addon.conf.in.in sayura-addon.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/sayura-addon.conf.in" sayura-addon.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/sayura-addon.conf" RENAME sayura.conf DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")

=== debian/changelog ===
fcitx5-sayura (5.0.5-1) unstable; urgency=medium

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Sun, 13 Feb 2022 21:34:03 -0500

fcitx5-sayura (5.0.4-1) unstable; urgency=medium

  * Initial release. (Closes: #1003688)

 -- Boyuan Yang <byang@debian.org>  Thu, 13 Jan 2022 13:25:13 -0500

=== debian/control ===
Source: fcitx5-sayura
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 extra-cmake-modules,
 gettext,
 libfcitx5core-dev,
 pkg-config,
Standards-Version: 4.6.0
Homepage: https://github.com/fcitx/fcitx5-sayura
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-sayura.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-sayura

Package: fcitx5-sayura
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fcitx5,
Conflicts:
 fcitx-sayura,
Description: Fcitx5 wrapper for Sayura IM engine
 fcitx5-sayura is a wrapper of Sayura IM engine for Fcitx5 IM framework.
 .
 Sayura is a quasi-transliteration scheme for Sinhala script.
 Sayura uses individual Latin characters to signify unmodified consonants.

## fcitx5-sayura 5.0.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.0)
-project(fcitx5-sayura VERSION 5.0.5)
+project(fcitx5-sayura VERSION 5.0.6)
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 include(FeatureSummary)

=== debian/changelog ===
fcitx5-sayura (5.0.6-1deepin0) unstable; urgency=medium

  [ Debian Input Method Team ]
  * update

  [ Tianyu Chen ]
  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 19 Sep 2024 22:46:49 +0800

fcitx5-sayura (5.0.6-1) unstable; urgency=medium

  * new upstream release. 

 -- Boyuan Yang <byang@debian.org>  Wed, 16 Mar 2022 11:39:40 -0400

## fcitx5-sayura 5.0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.0)
-project(fcitx5-sayura VERSION 5.0.6)
+project(fcitx5-sayura VERSION 5.0.8)
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 include(FeatureSummary)

=== debian/changelog ===
fcitx5-sayura (5.0.8-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Jul 2022 15:02:54 -0400

fcitx5-sayura (5.0.7-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 28 May 2022 00:23:06 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  gettext,
  libfcitx5core-dev,
  pkg-config,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/fcitx/fcitx5-sayura
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-sayura.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-sayura

## fcitx5-sayura 5.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.0)
-project(fcitx5-sayura VERSION 5.0.8)
+project(fcitx5-sayura VERSION 5.1.0)
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 include(FeatureSummary)

=== debian/changelog ===
fcitx5-sayura (5.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Aug 2023 14:55:25 -0400

## fcitx5-sayura 5.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.0)
-project(fcitx5-sayura VERSION 5.1.0)
+project(fcitx5-sayura VERSION 5.1.1)
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 include(FeatureSummary)

=== src/CMakeLists.txt ===
add_library(sayura MODULE sayura.cpp)
target_link_libraries(sayura Fcitx5::Core)
install(TARGETS sayura DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
fcitx5_translate_desktop_file(sayura.conf.in sayura.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/sayura.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/inputmethod" COMPONENT config)
configure_file(sayura-addon.conf.in.in sayura-addon.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/sayura-addon.conf.in" sayura-addon.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/sayura-addon.conf" RENAME sayura.conf DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon" COMPONENT config)

=== debian/changelog ===
fcitx5-sayura (5.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 29 Nov 2023 14:24:44 -0500

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  gettext,
  libfcitx5core-dev,
  pkg-config,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/fcitx/fcitx5-sayura
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-sayura.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-sayura

## fcitx5-sayura 5.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.0)
-project(fcitx5-sayura VERSION 5.1.1)
+project(fcitx5-sayura VERSION 5.1.2)
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 include(FeatureSummary)

=== debian/changelog ===
fcitx5-sayura (5.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 May 2024 20:44:56 -0400

## fcitx5-sayura 5.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
 cmake_minimum_required(VERSION 3.0)
-project(fcitx5-sayura VERSION 5.1.2)
+project(fcitx5-sayura VERSION 5.1.3)
+
+set(REQUIRED_FCITX_VERSION 5.1.12)
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 include(FeatureSummary)
@@ -7,7 +9,7 @@
 include(ECMUninstallTarget)
 
 find_package(PkgConfig REQUIRED)
-find_package(Fcitx5Core REQUIRED)
+find_package(Fcitx5Core ${REQUIRED_FCITX_VERSION} REQUIRED)
 find_package(Gettext REQUIRED)
 
 include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")

=== debian/changelog ===
fcitx5-sayura (5.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 28 Jan 2025 09:51:07 -0500

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
  debhelper-compat (= 13),
  extra-cmake-modules,
  gettext,
- libfcitx5core-dev,
- pkg-config,
-Standards-Version: 4.6.2
+ libfcitx5core-dev (>= 5.1.12),
+ pkgconf,
+Standards-Version: 4.7.0
 Homepage: https://github.com/fcitx/fcitx5-sayura
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-sayura.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-sayura

## fcitx5-sayura 5.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-cmake_minimum_required(VERSION 3.0)
-project(fcitx5-sayura VERSION 5.1.3)
+cmake_minimum_required(VERSION 3.10)
+project(fcitx5-sayura VERSION 5.1.4)
 
 set(REQUIRED_FCITX_VERSION 5.1.12)
 find_package(ECM REQUIRED 1.0.0)

=== debian/changelog ===
fcitx5-sayura (5.1.4-2) unstable; urgency=medium

  * Rebuild against gcc-15 toolchain.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Oct 2025 12:47:46 -0400

fcitx5-sayura (5.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Aug 2025 14:10:23 -0400

=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://download.fcitx-im.org/fcitx5/fcitx5-sayura/ \
 @PACKAGE@-?(\d[\d.]*)@ARCHIVE_EXT@ debian uupdate

## fcitx5-sayura 5.1.5

=== data/CMakeLists.txt ===
install(DIRECTORY 16x16 24x24 32x32 48x48 64x64 128x128 scalable DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor"
        PATTERN .* EXCLUDE
        PATTERN *~ EXCLUDE)

=== debian/changelog ===
fcitx5-sayura (5.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 08 Nov 2025 15:12:48 -0500

=== debian/control ===
Source: fcitx5-sayura
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 extra-cmake-modules,
 gettext,
 libfcitx5core-dev (>= 5.1.14-4~),
 pkgconf,
Standards-Version: 4.7.2
Homepage: https://github.com/fcitx/fcitx5-sayura
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-sayura.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-sayura
Description: Fcitx5 wrapper for Sayura IM engine
 fcitx5-sayura is a wrapper of Sayura IM engine for Fcitx5 IM framework.
 .
 Sayura is a quasi-transliteration scheme for Sinhala script.
 Sayura uses individual Latin characters to signify unmodified consonants.

Package: fcitx5-sayura
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fcitx5,
Conflicts:
 fcitx-sayura,
Description: ${source:Synopsis}
 ${source:Extended-Description}
